Subject: Re: [bug#51359] [PATCH 0/1] home-state-service-type and tests suite

From: Oleg Pykhalov <[email-masked]>
Date: Wed, 08 Jun 2022 20:02:50 +0300

Hi Andrew,

Andrew Tropin <[email-masked]> writes:

[…]

> Thank you for the patch, but states are very WIP and not ready for
> upstream yet IMO.  Also, I would like to reevaluate implementation of
> git service-type and probably merge it separately.
>
> Hope I will get back to states in foreseable future and will carefully
> rethink, refactor and cleanup the code.

If the user's configuration will stay the same, we probably could merge.

> BTW, do you use states?  Can you share your experience with it?

I tried the git state and it worked, don't remember rsync.  Also I don't
use it since the patch submitting day, because of plans to rewrite it.

Oleg.